Subject: Re: apache php4 error: dlopen: Win32 error 193
From: Stipe Tolj <[email-masked]>
To: [email-masked]
Cc: Javier J <[email-masked]>
Date: Tue, 08 Apr 2003 22:54:49 +0200

> The rebase that comes with the apache package is broken -- it corrupts
> DLLs.  This is probably why you're seeing the problem.  Since postinstall
> scripts are run by setup.exe automatically, there is no easy way to
> prevent the broken rebase from running if you use setup.exe.  I can
> think of a couple, but they are pretty complex.  The easier one is to
> extract the postinstall script (usr/postinstall/apache-php.sh) to some
> other directory, then use "tar --delete" to remove the postinstall script
> from the tarball, and then run setup.exe again to install apache (without
> running the postinstall script).  Note that for the last step to work,
> you'll also need to adjust the MD5 checksum for the apache tarball (in
> setup.ini).  As you can see, it is by no means easy.
> 
> You can also extract the DLLs anew from the tarball by hand and have them
> overwrite the rebased ones, and then use "rebaseall" from Jason Tishler's
> rebase package (follow the instructions in /usr/doc/Cygwin/rebase-*README).
> 
> Ultimately, the apache package should be fixed.

yep, +1, you're right. But! (unfortunatly it always come to ab
"but!.." ;) I'm definetly blocked up to next week end. So please live
with it up to then and I (and Gerrit) will provide you *hopefully* a
fixed apache (fixing the connection hanging problem) *and* the rebase
inside the package thing.

Sorry all for the inconvinience.

Stipe

[email-masked]
-------------------------------------------------------------------
Wapme Systems AG

Vogelsanger Weg 80
40470 Düsseldorf

Tel: +49-211-74845-0
Fax: +49-211-74845-299

E-Mail: [email-masked]
Internet: http://www.wapme-systems.de
-------------------------------------------------------------------
wapme.net - wherever you are

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/